Package org.springframework.security.crypto.encrypt

## Interface TextEncryptor

    public interface TextEncryptor

Service interface for symmetric encryption of text strings.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `decrypt​(java.lang.String encryptedText)` Decrypt the encrypted text string.
`java.lang.String` `encrypt​(java.lang.String text)` Encrypt the raw text string.

### Method Detail

#### encrypt

    java.lang.String encrypt​(java.lang.String text)

Encrypt the raw text string.

#### decrypt

    java.lang.String decrypt​(java.lang.String encryptedText)

Decrypt the encrypted text string.